javax.faces.context

## Class PartialViewContextFactory

- java.lang.Object
- - javax.faces.context.PartialViewContextFactory

- All Implemented Interfaces:
    FacesWrapper<PartialViewContextFactory>

      public abstract class PartialViewContextFactory
      extends Object
      implements FacesWrapper<PartialViewContextFactory>

  PartialViewContextFactory is a factory object that creates (if needed) and returns new `PartialViewContext` instances.

  There must be one `PartialViewContextFactory` instance per web application that is utilizing JavaServer Faces. This instance can be acquired, in a portable manner, by calling:

         PartialViewContextFactory factory = (PartialViewContextFactory)
          FactoryFinder.getFactory(FactoryFinder.PARTIAL_VIEW_CONTEXT_FACTORY);

  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartialViewContextFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract PartialViewContext` | `getPartialViewContext(FacesContext context)` Create (if needed) and return a `PartialViewContext` instance that is initialized using the current `FacesContext` instance.
    `PartialViewContextFactory` | `getWrapped()` A class that implements this interface uses this method to return an instance of the class being wrapped.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartialViewContextFactory

          public PartialViewContextFactory()

  - ### Method Detail

    - #### getWrapped

          public PartialViewContextFactory getWrapped()

      Description copied from interface: `FacesWrapper`

      A class that implements this interface uses this method to return an instance of the class being wrapped.

      Specified by:
        `getWrapped` in interface `FacesWrapper<PartialViewContextFactory>`
      See Also:
        `FacesWrapper.getWrapped()`

    - #### getPartialViewContext

          public abstract PartialViewContext getPartialViewContext(FacesContext context)

      Create (if needed) and return a `PartialViewContext` instance that is initialized using the current `FacesContext` instance.

      Parameters:
        `context` - the `FacesContext` for the current request.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.